Overview
GET
/content/queue-items/{id}contentGet queue_items by id
Fetch a record from queue-items by id.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
Responses
200
queue_items
- idstring
- ecosystemIdstring
- customerIdstring
- deletedAtstring?
- queueIdstring
- payloadstring | number | boolean? | object | any[]
- statusstring
- enqueuedAtstring
- dequeuedAtstring?
- ackedAtstring?
- nackedAtstring?
Example
{
"id": "string",
"ecosystemId": "string",
"customerId": "string",
"deletedAt": "string",
"queueId": "string",
"payload": "string",
"status": "string",
"enqueuedAt": "string",
"dequeuedAt": "string",
"ackedAt": "string",
"nackedAt": "string"
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/content/queue-items/{id}" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/content/queue-items/{id}", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();